PUT
Update Workflow
All fields are optional тАФ only include the fields you want to change. Updating workflow_definition creates a new versioned definition while preserving the history of previous versions.

Authorizations

Authorization
string
header
required

Interactive user session: the login JWT, sent as Authorization: Bearer <token>.

Path Parameters

workflow_id
integer
required

Body

application/json
name
string | null
workflow_definition
Workflow Definition ┬╖ object | null
template_context_variables
Template Context Variables ┬╖ object | null
workflow_configurations
Workflow Configurations ┬╖ object | null

Response

Successful Response

id
integer
required
name
string
required
status
string
required
created_at
string<date-time>
required
workflow_definition
Workflow Definition ┬╖ object
required
current_definition_id
integer | null
required
template_context_variables
Template Context Variables ┬╖ object | null
call_disposition_codes
CallDispositionCodes ┬╖ object | null
total_runs
integer | null
workflow_configurations
Workflow Configurations ┬╖ object | null
version_number
integer | null
version_status
string | null
workflow_uuid
string | null
agent_kind
enum<string>
default:conversation_flow
Available options:
single_prompt,
conversation_flow